"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emit = void 0;
const NamespaceEmitter = require("./namespace_emitter");
const NamespaceImportEmitter = require("./namespace_import_emitter");
function emit(writer, unit) {
    const { imports, namespaces } = unit;
    NamespaceImportEmitter.emitMany(writer, imports);
    NamespaceEmitter.emitMany(writer, namespaces);
}
exports.emit = emit;
