"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emit = void 0;
const SquareBrackets = require("./square_brackets");
const MethodArgumentTokens = require("./method_argument_tokens");
const TypeReferenceTokens = require("./type_reference_tokens");
function emit(attribute) {
    const { type, arguments: _arguments } = attribute;
    return SquareBrackets.enclose([
        ...TypeReferenceTokens.emit(type),
        ...MethodArgumentTokens.emit(_arguments)
    ]);
}
exports.emit = emit;
