"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.emit = void 0;
const ArrayUtils = require("../utils/array_utils");
const Delimiters = require("./delimiters");
const Parentheses = require("./parentheses");
function emit(_arguments) {
    return Parentheses.enclose(precursors(_arguments));
}
exports.emit = emit;
function precursors(_arguments) {
    if (ArrayUtils.isFalsy(_arguments))
        return ArrayUtils.empty();
    else
        return _arguments.flatMap((g, i, arr) => i === arr.length - 1 ? g : [...g, Delimiters.comma, Delimiters.space]);
}
