"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.forAssignment = exports.forAccess = exports.forModifier = exports.forPartial = exports.forStatic = exports.forNew = void 0;
const ArrayUtils = require("../utils/array_utils");
const Keywords = require("./keywords");
const Delimiters = require("./delimiters");
function forNew(isNew) {
    return isNew ? [Keywords._new, Delimiters.space] : ArrayUtils.empty();
}
exports.forNew = forNew;
function forStatic(isStatic) {
    return isStatic ? [Keywords._static, Delimiters.space] : ArrayUtils.empty();
}
exports.forStatic = forStatic;
function forPartial(isPartial) {
    return isPartial ? [Keywords.partial, Delimiters.space] : ArrayUtils.empty();
}
exports.forPartial = forPartial;
function forModifier(modifier) {
    return modifier ? [modifier, Delimiters.space] : ArrayUtils.empty();
}
exports.forModifier = forModifier;
function forAccess(access) {
    return access ? [access, Delimiters.space] : ArrayUtils.empty();
}
exports.forAccess = forAccess;
function forAssignment(assignment) {
    return assignment ? [assignment, Delimiters.space] : ArrayUtils.empty();
}
exports.forAssignment = forAssignment;
