"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.enclose = exports.close = exports.open = void 0;
const ArrayUtils = require("../utils/array_utils");
exports.open = "(";
exports.close = ")";
function enclose(tokens, omitEmpty) {
    const normalizedTokens = normalizeTokens(tokens);
    if (normalizeTokens.length === 0 && omitEmpty)
        return ArrayUtils.empty();
    else
        return [exports.open, ...normalizedTokens, exports.close];
}
exports.enclose = enclose;
function normalizeTokens(tokens) {
    if (typeof tokens === "undefined")
        return ArrayUtils.empty();
    else if (typeof tokens === "string")
        return [tokens];
    else
        return tokens;
}
